Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class RefererFilterManager

    java.lang.Object
      net.sourceforge.pebble.domain.RefererFilterManager

    public class RefererFilterManager

extends java.lang.Object

A class to manage regular expressions used to filter out obscene and spam referers that appear in the logs.

Author:
  Simon Brown

Method Summary
`void` | `addFilter(RefererFilter newFilter)` Adds a new filter to the existing list.
`java.util.List` | `filter(java.util.List referers)` Filters a collection of referers using the filters managed by this instance.
`java.util.Collection` | `getFilters()` Gets a collection containing filters.
`boolean` | `removeFilter(java.lang.String expression)` Removes a filter from the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addFilter

    public void addFilter(RefererFilter newFilter)

  Adds a new filter to the existing list.

  Parameters:
    `newFilter` - a RefererFilter instance

### removeFilter

    public boolean removeFilter(java.lang.String expression)

  Removes a filter from the list.

  Parameters:
    `expression` - the expression to be removed

### getFilters

    public java.util.Collection getFilters()

  Gets a collection containing filters.

  Returns:
    a Collection of RefererFilter instances

### filter

    public java.util.List filter(java.util.List referers)

  Filters a collection of referers using the filters managed by this instance. Any urls matching a filter are removed.

  Parameters:
    `referers` - the List of referers (CountedUrls) to be filtered
  Returns:
    a filtered List containing CountedUrls

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.